<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZOrderGridExpViewBase from './ibizorder-grid-exp-view-base.vue';

import view_gridexpbar from '@widgets/ibizorder/grid-exp-viewgridexpbar-gridexpbar/grid-exp-viewgridexpbar-gridexpbar.vue';
// 基于 @VIEW/@MACRO/VIEW.vue.ftl 生成
@Component({
    components: {
        view_gridexpbar, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZOrderGridExpView extends IBIZOrderGridExpViewBase {

}
</script>